# SshKey

SshKey

## Validate a public SSH key

> Validate a public SSH key against \`phpseclib\`

```json
{"openapi":"3.0.0","info":{"title":"MetalWorks API","version":"1.0"},"tags":[{"name":"SshKey","description":"SshKey"}],"security":[{"token":[]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"X-API-Key","in":"header"}},"schemas":{"SshKeyValidatePostRequest":{"title":"Validate SSH Key request","description":"Validate a public SSH key","properties":{"":{"description":"The public SSH key that needs to be validated","type":"string"}},"type":"object"},"SshKeyValidatePostResponse":{"title":"Validate SSH Key response","properties":{"status":{"description":"OK if the validation succeeded","type":"string"},"algorithm":{"description":"Algorithm used to generate the SSH key","type":"string"},"message":{"type":"string"}},"type":"object"}}},"paths":{"/api/v1/sshKey/validate":{"post":{"tags":["SshKey"],"summary":"Validate a public SSH key","description":"Validate a public SSH key against `phpseclib`","operationId":"SshKeyValidate","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SshKeyValidatePostRequest"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SshKeyValidatePostResponse"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthenticated"},"422":{"description":"Unprocessable Content"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/flex-metal/sshkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
